| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Attributes | List of all members
Ogre::ResourceGroupManager::ResourceDeclaration Struct Reference

Nested struct defining a resource declaration. More...

`#include <OgreResourceGroupManager.h>`

## Public Attributes
ManualResourceLoader * | loader
NameValuePairList | parameters
String | resourceName
String | resourceType

## Detailed Description

Nested struct defining a resource declaration.

## Member Data Documentation

## ◆ resourceName

String Ogre::ResourceGroupManager::ResourceDeclaration::resourceName

## ◆ resourceType

String Ogre::ResourceGroupManager::ResourceDeclaration::resourceType

## ◆ loader

ManualResourceLoader* Ogre::ResourceGroupManager::ResourceDeclaration::loader

## ◆ parameters

NameValuePairList Ogre::ResourceGroupManager::ResourceDeclaration::parameters

The documentation for this struct was generated from the following file:

- OgreResourceGroupManager.h